4.0.18      2025-11-25   adonais
            * 修复: 文件管理器菜单中图片base64编码问题
            * 修复: 连续搜索过程中改变大小写菜单可能不立即生效的问题
            * 变更: 把PHP从HTML语法分类从独立出来

4.0.17      2025-09-24   adonais
            * 修复: 文件变更窗口取消时可能导致崩溃的问题
            * 修复: Winexy插件在高版本wine下运行的问题
            * 变更: SQL运行时命令行窗口的位置

4.0.16      2025-08-28   adonais
            * 新增: 二进制文件转c数组
            * 修复: 搜索记录过多下拉框无法滚动的问题
            * 修复: 有时候复制剪切可能复制整行的问题

4.0.15      2025-08-02   adonais
            * 修复: 无标题文档保存时无法完成另存为操作

4.0.14      2025-07-21   adonais
            * 修复: 搜索窗口的标签栏DPI缩放问题
            * 其他一些细节的改进

4.0.13      2025-07-19   adonais
            * 新增: 文档结构图快捷键描述符
            * 修复: 文件历史记录无法清理的问题
            * 修复: 自动更新问题

4.0.12      2025-04-20   adonais
            * 新增: 列编辑器面板, 支持数字递增插入等功能
            * 新增: 命令窗口, 支持类vim式的命令风格, 具体见功能简介
            * 新增: 命令窗口, 支持AI多轮对话, 流式输出. 具体见功能简介
            * 新增: 额外的编码支持, 支持命令指定编码, 具体见功能简介 
            * 修复: 括号对齐时可能出现的问题
            * 修复: 拖动文件多实例打开时的问题
            * 修复: 列选择时指示器高亮匹配的问题

4.0.11      2025-04-06   adonais
            * 新增: 默认文档大于200MB时将不进行词法解析
            * 修复: 搜索展示窗口在本标签没有关键字时候的问题
            * 修复: 恢复标签页不能连续恢复的问题
            * 修复: 字符串匹配高亮指示器的问题
            * 修复: 某些时候右键定位目录时的问题

4.0.10      2025-04-01   adonais
            * 新增: 标签页排序功能
            * 新增: 用户lua脚本自动加载, 见示例文件
            * 新增: 空白符与换行符颜色自定义, 见主题文件
            * 新增: 多行粘贴时支持自定义分隔符, 见配置文件
            * 新增: 文字渲染, dwrite 1.1支持
            * 新增: 撤销时恢复选中功能
            * 新增: 函数定义跳转, 跳回
            * 新增: 当手动修改配置文件, 保存时立刻生效
            * 变更: 更快的启动速度, 更快的多标签加载速度
            * 修复: Windows7/8.x因为证书过期导致不能自动更新
            * 修复: 文件被修改, 提示框的问题
            * 修复: 光标导航不好用的问题,并修改默认快捷键
            * 修复: 搜索时搜索记录有时候不能及时保存的问题
            * 修复: 文件历史记录无法禁用的问题, #127
            * 修复: 工具栏上打开终端时的焦点问题, #114
            * 修复: 编码自动识别问题, #126

4.0.9       2023-12-07   adonais
            * 变更: 文件管理器与标签栏平齐
            * 修复: Win11下, 暗色主题渲染问题

4.0.8       2023-12-01   adonais
            * 新增: 关于书签行的编辑菜单
            * 新增: sumatrapdf解码文件到16进制的转换
            * 新增: 标签栏支持DPI, 所有主界面部件完美支持DPI
            * 变更: 标签栏更紧凑的显示
            * 修复: 主题设置里插入符宽度设置问题
            * 修复: 开启文档结构图后切换到16进制模式的问题
            * 修复: 暗色主题在windows 11上的显示问题
            * 修复: Win10下, 暗色主题不随操作系统主题亮/暗切换的问题
            * 修复: 暗色主题下启动慢的问题

4.0.7       2023-10-24   adonais
            * 新增: 支持Inno与Nsis脚本高亮显示
            * 新增: 通过lua脚本指定不跟随全局主题的字体样式
            * 变更: 合并状态栏上语言类型菜单
            * 变更: INI文件支持区段展示
            * 修复: 设置菜单上的盾牌图标遮挡了菜单项状态
            * 修复: Ctrl+Backspace无法删除搜索记录的问题
            * 修复: 修改字体后切换主题没有应用新主题字体

4.0.6       2023-10-13   adonais
            * 新增: XML树控件支持与格式化
            * 新增: TCL脚本高亮与代码片段
            * 新增: 标题栏定制菜单项
            * 修复: 定制命令行菜单图标加载问题
            * 修复: clang-format查找配置文件路径问题
            * 修复: 文件包含GBK编码特殊符号无法打开的问题
            * 修复: 其他几个不常见的小问题

4.0.5       2023-09-06   adonais
            * 新增: 折叠框代码提示
            * 变更: 重新整理了视图菜单栏
            * 变更: 折叠栏支持DPI缩放
            * 修复: 共享路径重新打开时的问题

4.0.4       2023-08-26   adonais
            * 新增: 显示变更历史标记菜单选项
            * 新增: 搜索变更历史功能
            * 新增: 主题设置增加几种自定义颜色
            * 变更: Undo/Redo 容器污染时提示
            * 修复: Hex/Text切换时缩放不同步的问题(回归bug)
            * 修复: SFTP 16进制下的状态问题

4.0.3       2023-08-21   adonais
            * 新增: 自定义运行菜单项
            * 新增: 自定义运行命令支持表达式求值
            * 新增: 搜索结果窗口支持自定义颜色
            * 新增: 新输入单词自动加入补全哈希表
            * 新增: 同时编辑所有匹配结果(大文件慎用)
            * 变更: 选中匹配字符串时使用搜索框设置(是否整词匹配)
            * 变更: 搜索结果窗口最小能调整到40pix
            * 修复: ASP背景色问题
            * 修复: Undo/Redo 工具栏按钮刷新问题

4.0.2       2023-08-14   adonais
            * 变更: 为需要管理员权限的菜单栏添加护盾图标
            * 变更: 插件页面支持全屏快捷键
            * 修复: 新建文档标签修改后无法自动保存(回归bug)
            * 修复: 数据库查询时显示空表列的错误(回归bug)

4.0.1       2023-08-09   adonais
            * 新增: 翻新Skylark编辑器菜单栏
            * 变更: 状态栏读写按钮也支持插件页面
            * 修复: 命令行参数运行lua脚本的问题(回归bug)
            * 修复: pdf文档修改后缓存时的命名问题(回归bug)

4.0.0       2023-08-05   adonais
            * 新增: 文档自动保存功能
            * 新增: 文件管理器支持收藏夹
            * 新增: 运行时日志系统, 便于简单的排错
            * 新增: 配置文件冲突时, 下次启动时启用新配置并备份旧配置
            * 新增: Pascal语法高亮与代码片段支持
            * 变更: 主题调整以适应windows 11
            * 变更: 超链接菜单可实时高亮与清除
            * 变更: 放大和缩小功能也适用于插件页面
            * 修复: 拖动文档到插件页面时不打开文档(回归bug)
            * 修复: SFTP管理器路径方面的一些问题
            * 修复: 程序稳定性方面的一些问题
            * 修复: 内置主题方面的一些小细节

3.0.13      2023-07-27   adonais
            * 修复: 时区(非北京时间)问题引起的更新异常
            * 修复: 某几种类型文本没有运行右侧边框软链接的正则表达式
            * 修复几个小细节

3.0.12      2023-07-22   adonais
            * 修复: 超链接高亮时特殊字符的检测问题
            * 修复: 输入N个字符弹出补全框, N不准确的问题
            * 修复: 更新程序动态链接crt库时复制文件出错的问题

3.0.11      2023-07-17   adonais
            * 新增: skylark支持安装在只读目录
            * 新增: 支持自定义配置文件目录路径
            * 变更: 右键-打开方式, 程序名称缩短
            * 修复: 修复格式化新文档有时快捷键不生效的问题
            * 修复: 修复某些格式编码未能正确识别的问题

3.0.10      2023-04-02   adonais
            * 变更: 编辑器支持Windows 10 长路径
            * 变更: 文件管理器支持Windows 10 长路径
            * 修复: 文件管理器无扩展名弹出右键菜单时崩溃问题
            * 修复: sftp特殊文件名导致的崩溃问题
            * 修复: 文件管理器右键菜单有时候不弹出搜索窗口的问题
            * 修复: 资源管理器下目录右键菜单不能定位到目录的问题

3.0.9       2023-03-28   adonais
            * 新增: 增量复制到剪贴板菜单项
            * 新增: 复制为富文本菜单项
            * 新增: 路径分隔符转换菜单项
            * 新增: 锁定标签栏功能
            * 变更: 完善对Linux/Wine平台的支持
            * 变更: 关闭除选中状态之外的标签页
            * 修复: 快捷键有时候不生效的问题
            * 修复: 启动预设动作时导致的崩溃问题
            * 提示: 默认快捷键有变动和增加, 如果与你自行设置的快捷键冲突,
              请删除旧版本的conf\\skylark_input.conf文件

3.0.8       2023-03-21   adonais
            * 新增: 交换剪贴板与清空剪贴板功能菜单
            * 新增: 文件缩进检查菜单项
            * 新增: 命令行支持打开 file:///协议类型
            * 变更: 选中文本时状态栏显示字符数而不是字节数
            * 修复: 命令行解析多个相对路径文件时的问题
            * 修复: 反复切换文件类时markdown文件渲染问题
            * 修复: linux/wine平台上的标签拖动与图标显示问题

3.0.7       2023-03-14   adonais
            * 新增: 命令行支持打开多个文件与多个目录
            * 新增: 文件重新载入菜单
            * 变更: 缩小文档结构图窗口的默认大小与最小限制
            * 变更: 超链接检测取消时, 不再实时擦除之前的高亮标记
            * 变更: dwrite渲染模式下, 默认使用多线程检测文本行
            * 修复: 退出菜单项上不显示快捷键的问题 (回归bug)
            * 修复: "查找全部"按钮, 上次的计数器没有复位 (回归bug)
            * 修复: 菜单栏隐藏时, 进入全屏时的问题
            * 修复: 某些情况下窗口缩放时, 右侧边栏可能没完整重绘

3.0.6       2023-03-08   adonais
            * 新增: 编辑器自动更新支持
            * 新增: 文件管理器右键菜单, 支持图片转base64
            * 新增: 数据库窗口右键菜单, 复制行与单元格
            * 变更: 复制行时不再复制换行符
            * 变更: Ctrl+C支持行复制, 带换行符
            * 变更: 搜索时不再显示计数, 可使用显示详情按钮计数
            * 变更: 多实例时重启编辑器, 销毁其他编辑器窗口(慎用)
            * 修复: json压缩时因手写失误导致空指针的问题 (回归bug)
            * 修复: 16进制编辑器复制,剪切,删除菜单栏不生效的问题
            * 修复: 标签上打开资源管理器没有选中并滚动到文件的问题
            * 修复: 搜索关键字时, 选中区太暗的问题
            * 感谢一位网友的赞扬与匿名捐赠!

3.0.5       2023-02-27   adonais
            * 增加矢量图标并应用到工具栏, 实现工具栏图标任意缩放
            * 增加工具栏脚本,可增/减工具栏按钮以及修改
            * 增加超链接语法检测(单击复制, ctrl+单击, 调用默认浏览器)
            * 对默认主题的语法高亮进行微调
            * 修复windows 7上标签关闭按钮显示异常的问题 (回归bug)
            * 修复搜索窗口上正则表达式错误提示框不显示的问题 (回归bug)
            * 修复切换标签时总是滚动到光标锚点所在位置的问题 (回归bug)
            * 修复主题切换时可能会销毁其他外部窗口的问题
            * 修复文件关闭后无法删除其所在目录的问题
            * 修复剪贴板窗口在dpi缩放时的一些细节问题
            * 修复dark主题一些细节问题
            * 删减了一些兼容性代码, 新版本将不再兼容旧的配置文件
              请备份后删除conf文件夹然后安装新版Skylark

3.0.4       2023-02-14   adonais
            * 增加全角/半角符号转换功能
            * 增加标签页关闭按钮绘制选项
            * 更新第三方支持库到目前最新稳定版本
            * 修复关闭最后一个标签时工作区闪烁的问题
            * 修复切换标签时关闭按钮闪烁的问题
            * 修复搜索时可能导致数据库死锁的问题
            * 修复按tab键可能清除字符的问题
            * 修复代码片段配置方面的一些问题
            * 应匿名捐赠者的要求, 编译了Windows 32bit版本,
              但不会支持Windows xp.

3.0.3       2023-01-17   adonais
            * 部分图标改进(感谢TaicEart)
            * 修复sumatrapdf插件打开文档时强制关闭的问题
            * 修复编辑html文档时, 按退格键导致崩溃的问题
            * 更改二维码图片为黑白色并添加边框

3.0.2       2022-12-03   adonais
            * 扩展主题设置功能
            * 优化搜索速度
            * 修复多标签下运行窗口的问题(回归bug)
            * 修复格式化文档后某些界面刷新问题(回归bug)
            * 修复文件保存时界面闪烁问题
            * 修复标签状态图标某些时候可能不居中的问题
            * 修复远程文件管理器上的小问题

3.0.1       2022-11-21   adonais
            * 增加两种新建标签页的鼠标操作
            * 更多的编辑功能可在多标签选中时进行操作
            * 增大了关闭按钮范围, 比较容易点击到
            * 支持调用WinMerge进行文本或16进制比较
            * 修复标签上不显示提示消息的问题
            * 修复按下快捷键ALT+KEY时出现菜单访问标志的问题
            * 修复某些默认快捷键与菜单访问键冲突的问题
            * 修复选区内替换计数错误的问题
            * 修复右侧边栏在切换标签时总是刷新的问题
            * 修复关闭标签时编辑区域严重闪烁的问题
            * 修复搜索时结果窗口首行不高亮显示的问题
            * 修复插件打开远程较大文件时进度条不显示的问题
            * 修复保存远程较大文件时因为超时可能导致数据截断的问题

3.0.0       2022-11-15   adonais
            * 标签栏支持多选操作, 可发送多个标签到BC进行文件比较了
            * 新增插件支持, 目前可直接打开SumatraPDF支持的文档类型
            * 新增js文件格式化与压缩功能
            * 新增Verilog语言语法高亮支持
            * 新增切换到管理员模式菜单项
            * 新增行句首和单词词首大小写转换
            * 新增全部搜索按钮与选中区域替换功能
            * 修复读写按钮对文件权限的检测
            * 修复标签栏修改指示器锯齿问题
            * 修复标签切换后undo功能可能失效的问题
            * 修复有时候反括号可能不会自动对齐的问题
            * 修复远程文件切换到16进制后无法记住状态的问题
            * 修复命令行-hex打开文件后, 后续打开文件总是hex模式的问题
            * 修复文本与16进制切换后缩放状态不一致的问题
            * 修复4k分辨率下工具栏图标过小的问题
            * 切换到新的logo图标, 感谢"TaicEart"的辛勤付出

2.0.14      2022-10-30   adonais
            * 修复全屏模式退出后编辑器无法打开的问题(回归bug)
            * 修复运行lua脚本时崩溃的问题(回归bug)
            * 修复工具栏图标被截断1像素的问题
            * 修复特殊情况下拖动标签页无法在新窗口打开的问题
            * 其他一些细节的修复

2.0.13      2022-10-25   adonais
            * 暂时禁用16进制模式下打印
            * 修复一处数组可能越界的问题
            * 检测更新时加入下载超时设置
            * 加入Objective-C mm扩展名支持

2.0.12      2022-10-17   adonais
            * 移除保留内存限制
            * 修复win10某些版本上无法启用深色模式的问题
            * 修复当显示空白字符时的透明度问题
            * 主题设置里增加激活标签页的背景色
            * 感谢"*中, *源"网友对项目的捐赠

2.0.11      2022-09-12   adonais
            * 修复某些时候标签与编辑区显示不同步的问题
            * 修复有时候文档视图的垂直滚动条可见问题

2.0.10      2022-08-24   adonais
            * 修复多行标签栏刷新时的问题
            * 修复代码片段tab快捷键可能冲突的问题
            * 修复菜单栏配置一处显示不正确的问题
            * 修复代码片段某些时候跳转的问题
            * 修复云端编译时更新状态的显示问题

2.0.9       2022-08-24   adonais
            * 新增版本更新检测
            * 新增代码片段功能
            * 配置文件增加了几项新功能
            * 保存最后一次的搜索选项
            * 微调内置主题样式
            * 修复了搜索结果窗口可能导致崩溃的问题
            * 修复了远程节点不能重命名的问题
            * 修复配置文件保存时一处变量错位的问题
            * 修复在双屏下移动,状态栏不刷新的问题
            * 感谢"卡饭林咕咕"对项目的捐赠

2.0.8       2022-07-26   adonais
            * 新增了vb/vbs/latex语法高亮支持
            * 新增了两种标签关闭方式
            * 对某些菜单功能做了一些细化
            * 修复了文档结构图在window 7下的问题
            * 修复了多线程下内存释放可能导致编辑器崩溃的问题
            * 修复了批量打开文件时可能出现的问题
            * 修复了某些时候关闭编辑器进程退出缓慢的问题
            * 修复一些其他问题

2.0.7       2022-07-14   adonais
            * 新增文档结构图功能
            * 新增显示搜索结果详细面板
            * 新增拖曳标签打开新窗口功能
            * 新增命令行参数与帮助菜单
            * 默认启用html类语言的折叠功能
            * 修复了工具栏在high-dpi下显示问题
            * 修复了保存远程文件时可能导致崩溃的问题
            * 修复了无标题文档名可能重名的问题
            * 其他一些细节的改进

2.0.6       2022-06-27   adonais
            * 修复JSON格式化时可能出现的崩溃问题
            * 修复特殊情况下空格与TAB不能转换的问题
            * 调整编辑菜单与默认快捷键
            * 增加了几项新功能

2.0.5       2022-06-10   adonais
            * 修复16进制编辑器utf8模式下的选中问题
            * 修复16进制编辑区点击时状态栏地址段显示问题
            * 其他小问题修正

2.0.4       2022-05-14   adonais
            * 新增关闭左右标签的选项
            * 新增是否在标签上显示提示信息的选项
            * 修复标签切换时编辑区闪烁的问题
            * 修复改变侧边栏窗口大小时界面闪烁的问题
            * 修复dark主题下状态栏有时显示乱码的问题
            * 修复文本/16进制切换时光标位置不同步的问题
            * 修复16进制编辑器跳转到行偏移过大可能卡死的问题
            * 其他一些界面细节的改进

2.0.3       2022-05-01   adonais
            * 新增关闭标签时激活其他标签的选项
            * 新增关闭最后一个标签时是否关闭编辑器的选项
            * 增加恢复打开最近文件的功能
            * 增加用户脚本配置关键字背景色的设置函数
            * 增加搜索框使用正则表达式错误时的提示信息
            * 使用图标提示修改文件而不是星号
            * 修复打开最近菜单项的排序问题
            * 修复打开远程文件获取时间戳的方式
            * 修复括号对齐时可能导致的某些问题
            * 修复同时打开多个文件时编辑区闪烁的问题

2.0.2       2022-04-24   adonais
            * 新增加OCaml, matlab等语法高亮支持
            * 增强用户脚本, 可通过用户脚本自定义关键字颜色, 修改代码注释等...
            * 增加文本排序与空格<-->TAB转换功能
            * 修改书签默认颜色以及可通过配置文件自定义功能
            * 修复搜索时如果使用不正确的正则表达式,编辑器崩溃的问题
            * 修复搜索时, 使用了正则表达式, 无法区分大小写的问题
            * 修复关键字补全在Del时不显示的问题
            * 修复一处函数返回值错误导致脚本处理某类文件时崩溃的问题(回归bug)
            * 修复文件变更对话框弹出时可能导致鼠标闪烁的问题
            * 修复代码注释时折叠线不展开的问题

2.0.1       2022-04-13   adonais
            * 新增加Kotlin语法高亮支持
            * 增强中日语识别编码的能力
            * 分离配置文件,用户可自定义快捷键以及文件语法解析
            * 修复函数软链接跳转的问题
            * 修复文件未保存时重打开可能存在编码误识别的问题
            * 修复lua脚本无法正常生成字节码的问题
            * 修复16进制编辑器粘贴的问题
            * 修复括号对齐时tab与space键混用的问题
            * 修复远程文件管理器界面显示错误路径的问题
            * 限制格式化时文本的大小, 因为clang-format可能会耗尽内存

2.0.0       2022-04-01   adonais
            * 升级scintilla, lexilla到5.x版本, luajit到v2.1beta
            * 新增加Julia, Diff语法高亮支持
            * 增强自动识别编码的能力
            * 修复新建标签国际化的问题
            * 修复切换标签时可能导致编辑器崩溃的问题
            * 修复关闭编辑器时, hash表内存可能没释放的问题
            * 修复文件打开错误时, 可能导致标签栏卡死的问题
            * 修复其他一些小细节

1.1.9       2021-10-08   adonais
            * 修复JSON文档压缩或格式化可能导致文件错误的问题
            * 修复编辑器重启时主界面不显示的问题

1.1.8       2021-09-23   adonais
            * clang-format支持格式化json文档
            * 修复有时候打开文件时窗口缩放的问题

1.1.7       2021-09-15   adonais
            * 修复文件分段转换编码时可能出错的问题
            * 修复预定义动作相对路径的问题

1.1.6       2021-08-25   adonais
            * 修复触摸板水平滚动时的边界问题
            * 增加水平滚动快捷键, shift+mouse-wheel
            * 修复一处内核句柄可能泄漏的问题

1.1.5       2021-08-23   adonais
            * 修复触摸板水平滚动时的问题

1.1.4       2021-08-23   adonais
            * 修复文件路径带sqlite转义符时的问题
            * 修复注册表项在菜单显示的问题(回归bug)

1.1.3       2021-08-10   adonais
            * 修复字符串全部替换后, 恢复操作的问题

1.1.2       2021-06-10   adonais
            * 修复dark模式下图标略显模糊的问题
            * 修复dpi缩放时某些子窗口的问题
            * 修复上一版本标签栏重绘时资源占用过大的问题
            * 修复工具栏刷新时的一些细节问题

1.1.1       2021-06-07   adonais
            * 修复dpi缩放时有可能崩溃的问题
            * 修复dpi大于200后状态栏与标签栏的字体问题
            * 修复标签关闭按钮在各主题下不统一的问题
            * 修复经典主题下状态栏图标难看的问题
            * 增加文件保存时的备份选项
            * 其他一些小细节的修复

1.0.9       2021-05-31   adonais
            * 修复dark主题下搜索框不保存历史记录的问题(回归bug)
            * 修复搜索框某些时候光标抖动的问题
            * 重新制作了新的主题图标, 以适应dark模式
            * 为支持的文档类型增加外部调用接口
            * 标签栏视觉调整
            * 增强程序稳定性

1.0.8       2021-05-22   adonais
            * 暗黑主题支持操作系统深色模式(新增)
            * dpi支持到所有界面元素
            * 界面细节微调

1.0.7       2021-05-11   adonais
            * 修复菜单栏设置制表符宽度的问题
            * 完善了sftp节点散列信息功能

1.0.6       2021-05-08   adonais
            * 修复16进制编辑器右键菜单有时候被误销毁的问题
            * 修复某些时候sftp节点没有加入文件管理器的问题
            * 修复菜单栏显示的几个问题

1.0.5       2021-04-30   adonais
            * 修复正则表达式出错时程序可能崩溃的问题
            * 修复clang-format重定向错误控制台引起的崩溃问题
            * 修复某些情况下括号匹配不高亮显示的问题
            * 调整"高亮匹配字符串"的默认键
            * 增加powershell脚本支持

1.0.4       2021-04-27   adonais
            * 修复替换字符串时不优先替换当前选中项的问题
            * 修复当替换字串为空时,不全文替换的问题
            * 修复16进制编辑器右键菜单在区域之外显示的问题
            * 修复格式化代码后撤销键不生效的问题
            * 修复转换编码或转换回车符后撤销键不生效的问题
            * 修复转换某些编码后,保存文件继续写入bom的问题
            * 修复一处函数返回值错误导致au3文件不能高亮的问题
            * 修复添加行注释时候, 总是少注释了一行的问题
            * 修复运行lua脚本时不显示结果窗口的问题

1.0.3       2021-04-24   adonais
            * 修复新建标签时状态栏不显示文件时间戳问题
            * 修复16进制编辑器没有缩放功能的问题
            * 修复16进制编辑器dpi时的问题
            * 修复16进制编辑器在windows 7下不选中的问题
            * 修复16进制编辑器存在水平滚动条时字体平移的问题
            * 默认主题字体从 "Courier New" 换为 "Consolas"
            * 调整缩放功能的默认快捷键
            * 调整打开程序时,窗口恢复上一次的位置,而不是最大化

1.0.2       2021-04-21   adonais
            * 修复文件管理器在某些情况下加载节点不完整的问题
            * 修复特殊情况下文件多次打开的问题
            * 修复一处可能释放空指针的问题
            * 在文件管理器上增加文件生成摘要信息菜单
            * 示例, 如何通过lua脚本增加fortran语言支持

1.0.1       2021-04-19   adonais
            * 修复文件搜索时, 不查找无后缀名文件的问题
            * 导出部分api, 现在可以用lua脚本自行添加其他语言支持了

1.0.0-GA    2021-04-13   adonais
            * 修复sftp显示文件时间戳的问题
            * 修复sftp文件另存为...的问题

1.0.0-RC3   2021-04-10   adonais
            * 修复主题编辑时存在的内核句柄泄露问题
            * 增加主题类的透明度设置
            * 调整一级菜单的列编辑,类似UE
            * 调整标签宽度自适应

1.0.0-RC2   2021-04-08   adonais
            * 修复文件替换某些特殊字符串时死循环的问题
            * 修复ASCII Escaped Unicode编码有时误识别的问题

1.0.0-RC1   2021-04-06   adonais
            * 编辑器主体代码冻结
